:root {
	--body-background: #ffe;
	--hover-background: #dfdfd7;
	--body-color: #100460;
	--body-color-muted: #aba7c1;
	--primary-color: #006;
	--primary-color-muted: #9f9fdf;
	--heading-color: #003;
	--link-color: #993232;
}

body {
	background: var(--body-background);
	color: var(--body-color);
	font-family: sans-serif;
	position: relative;
	max-width: 60em;
	margin: 0 auto;
	padding: 0.5em;
}
footer {
	margin-top: 1em;
}

h1 {
	border-color: var(--primary-color);
	border-style:solid;
	border-width:0 0 1px;
	color: var(--primary-color);
	font-size:1.8rem;
	font-weight:bold;
	margin:0 0 1em;
	padding:0;
}

h2 {
	clear:left;
	font-size:1.4rem;
	font-weight:bold;
	color: var(--heading-color);
}

h3 {
	font-size:1rem;
	font-weight:bold;
	margin:1em 0 0;
	padding:0;
	color: var(--heading-color);
}
h4 {
	font-size:1rem;
	font-weight:bold;
	margin:0;
	padding:0;
	color: var(--heading-color);
}
p {
	margin: 0.5em 0;
}

figure {
	margin: 0;
	padding: 0;
	max-width:100%;
}
figure img {
	display: block;
	margin: 0.5em 0;
	width:100%;
}
figure figcaption {
	color: var(--body-color-muted);
	padding-top: 0.5em;
	border-top: 1px solid var(--primary-color-muted);
	margin-top: 0.5em;
	font-size: 0.9em;
}


code {
	background:#FFF;
	border:1px solid #CCC;
	display:inline-block;
	font-family:monospace;
	font-size:1.2em;
	padding:0 .2em;
}

ol {
	list-style:decimal outside;
	margin:.5em 0;
	padding:0 0 0 1.5em;
}

ol li {
	margin:.2em 0;
}

ol ol {
	list-style: lower-alpha outside;
	margin: .0 0 1em 0;
}

dl dt {
	font-weight: bold;
	margin: 0.5em 0 0 0;
}
dl dd {
	margin: 0 0 .2em 0em;
	/*font-style: italic;*/
}
dl em {
	color: var(--link-color);
}
dl.numbered {
	counter-reset: dlnum;
}
dl.numbered > dt {
	margin: 1em 0 0.5em 0;
}
dl.numbered > dt:before {
	counter-increment: dlnum;
	content: counter(dlnum) ". ";
}
dl dl {
	margin: 0 0 1em 0;
}
dl dl dt {margin:0.5em 0 0 0;}
dl dl dd {margin:0}
dl dl ul {
	margin: 0;
	padding: 0 0 0 1em;
	list-style: none;
}




table {
	border-collapse:collapse;
}

table thead {
	background:#336;
	color:#FFF;
	font-weight:bold;
}

table td, table th {
	border:1px solid #CCC;
	padding:.2em .5em;
	vertical-align:top;
}

hr {
	border-style: solid;
	border-color: var(--primary-color-muted);
	border-width: 1px 0 0 0;
	width: 90%;
	padding: 0;
	margin: 0.5em 0;
}

a, a:visited {
	color: var(--link-color);
}

a:hover {
	background: var(--hover-background);
}

img {
	max-width: 100%;
}
img.icon {
	display: inline-block;
	float: none;
	margin: 0 .5em 0 0;
	height: 1em;
}

#update {
color:#339;
float:right;
font-size:.8em;
margin:0;
padding:0 .5em;
}

.alert-info {
	background: #FFFFEE;
}
.alert-warning {
	background: #F9E28A;
}

.bg-light {
	background: #FFD;
}

.card {
	border: 1px solid #ccc;
	display: inline-block;
	margin: .5em;
	padding: ;
	vertical-align: top;
}

.card-header {
	background: #efefbe;
	padding: .3em;
}

.p-1 {
	padding: .2rem;
}

.float-end {
	float:right; 
	margin: 0 0 .9rem .9rem;
}

.row {
	overflow:hidden;
}
.row .col {
	display: block;
	float:left;
	vertical-align: top;
	padding: 0 0.5em;
}

.table.table-borderless td,
.table.table-borderless th {
	border:0;
}

.nav {
	margin:0;
	padding:0;
	border: none;
	overflow: hidden;
	list-style: none;
}

.nav a {
	display:block;
	padding:.2em;
	margin:.2em 0;
	text-decoration:none;
}

.nav-row .nav li {
	margin: 0 0.5em;
	float: left;
}

.text-end {
	text-align: right;
}

.toolbar {
	font-size:.9em;
	margin:0;
	overflow:hidden;
	padding:0;
}
.toolbar li {
	display: inline-block;
	background:#FFD;
	border-color:#DAA;
	border-style:solid;
	border-width:1px;
	border-radius: .2em;
	width:6em;
	margin: .2em;
}
.toolbar li a {
	display:block;
	line-height:1.6em;
	overflow:hidden;
	text-align:center;
	text-decoration:none;
}



ul.footnotes {
	margin: .5em 0;
	padding: .5em 0 0 1.5em;
	border-top: 1px solid var(--primary-color-muted);
	list-style-type: '*  ';
	list-style-position: outside;
}
ul.footnotes li {
	margin: 0.3em 0;
	font-size: .95em;
	font-style: italic;
	opacity: .7;
}
ul.footnotes li::marker {
	color: var(--link-color);
	font-weight: bold;
}
a.footnote-ref {
	text-decoration: inherit;
	color: inherit;
}

a.footnote-ref::after {
	color: var(--link-color);
	font-weight: bold;
	content: ' *';
}
a.footnote-ref:hover {
	background: initial;
}
.muted { 
	font-size: .9em;
	font-style: italic;
	color: var(--body-color-muted);
}

ol.version em {
	color: #a86544;
	background: #ffffffb2;
}
ol.version em::before {
	content: '[';
	padding: 0 0.5em;
}
ol.version em::after {
	content: ']';
	padding: 0 0.5em;
}


table.version {
	background:#FFF;
	border:1px solid #DDA;
	font-style:italic;
	margin:0;
	overflow:auto;
	padding:.2em;
}

table.version a {
	background:#666;
	color:#FFC;
	display:block;
	padding:.1em;
	text-decoration:none;
}

table.version a:hover {
background:#966;
}
table.version td {
	border: 0;
	padding-right: 0.5em;
}
table.version th {
	text-align: right;
	border: 0;
	padding-left: 0.5em;
}


